---
title: "Get metadata of a document"
url: "https://docs.signnow.com/docs/document/operations/get-document-document_id-metadata"
type: "endpoint"
section: "document"
slug: "document/operations/get-document-document_id-metadata"
method: "GET"
path: "/document/{document_id}/metadata"
operation_id: "get-document-document_id-metadata"
authorization: "bearer"
---

# Get metadata of a document

`GET /document/{document_id}/metadata`

This endpoint allows users to retrieve metadata for a selected document.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

Correct request

**Example** (`Correct request`)

```json
{
  "content": {
    "key1": "value",
    "key2": "value",
    "key3": "value",
    "source": "webhook"
  },
  "updated": "0",
  "application_id": "application_id"
}
```

### 400

* Request with bearer token from another user
* Invalid token

**Example** (`Invalid token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Request with bearer token from another user`)

```json
{
  "errors": [
    {
      "code": 65610,
      "message": "not readable"
    }
  ]
}
```

### 404

Request with `document_id` that doesn’t match the pattern `[a-z0-9]{40}`

**Example** (`Request with `document_id` that doesn’t match the pattern `[a-z0-9]{40}``)

```json
{
  "errors": [
    {
      "404": "Unable to find a route to match the URI: document/{incorrect_document_id}/metadata"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/document/{document_id}/metadata" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/get-document-document_id-metadata*
